Bug 861353 - ModemManager-0.6.0.0 does not handle Samsung UMTS modem anymore
ModemManager-0.6.0.0 does not handle Samsung UMTS modem anymore
Status: CLOSED WONTFIX
Product: Fedora
Classification: Fedora
Component: ModemManager (Show other bugs)
17
i686 Linux
unspecified Severity unspecified
: ---
: ---
Assigned To: Dan Williams
Fedora Extras Quality Assurance
:
Depends On:
Blocks:
  Show dependency treegraph
 
Reported: 2012-09-28 06:24 EDT by loprets
Modified: 2013-07-31 19:39 EDT (History)
2 users (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed: 2013-07-31 19:39:04 EDT
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)

  None (edit)
Description loprets 2012-09-28 06:24:02 EDT
Description of problem:

The 0.6.0.0 version of ModemManager seems to have gone into production prematurely, . After a yum upgrade and reboot my internal Samsung USB modem doesn't get to work anymore. nm-applet starts showing the PIN dialog for the fraction of a second just to hide it after for a couple of seconds, then continuing with "blinking" with the dialog again. Manually unbinding the device with 
echo -n "1-7" > /sys/bus/usb/drivers/usb/unbind
stops the blinking but the device is neither shown in network manager applet before (even during the blinking) or after the unbinding.

Downgrading back to previous version 0.5.2.0 fixed this, so the bug must have entered modem manager with this update:
yum downgrade ModemManager
...
---> Package ModemManager.i686 0:0.5.2.0-1.fc17 will be a downgrade
---> Package ModemManager.i686 0:0.6.0.0-1.fc17 will be erased

Version-Release number of selected component (if applicable):
ModemManager.i686 0:0.5.2.0-1.fc17




How reproducible:

Fedora 17 XFCE 
Internal Samsung modem (USB)


 

Steps to Reproduce:
1. Just after login, the network manager applet starts "blinking" the PIN entry dialog but never shows modem in nm-applet.



  
Actual results:
blinking PIN entry dialog that doesn't actually take the PIN
nm-applet doesn't display modem




Expected results:
enter PIN after login and select UMTS provider for modem to dial up with




Additional info:
Internal Samsung modem (USB):
SAMSUNG Electronics CO.,Ltd.
SAMSUNG HSPA Modem
device node mapped to: /sys/bus/usb/devices/1-7
MAJOR=189
MINOR=1
DEVNAME=bus/usb/001/002
DEVTYPE=usb_device
DRIVER=usb
PRODUCT=4e8/6773/1
TYPE=2/0/0
BUSNUM=001
DEVNUM=002
Comment 1 loprets 2012-09-28 06:28:03 EDT
UPDATE: Version-Release number of buggy component is of course
ModemManager.i686 0:0.6.0.0-1.fc17
Comment 2 Fedora End Of Life 2013-07-03 18:03:05 EDT
This message is a reminder that Fedora 17 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 17. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '17'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 17's end of life.

Bug Reporter:  Thank you for reporting this issue and we are sorry that 
we may not be able to fix it before Fedora 17 is end of life. If you 
would still like  to see this bug fixed and are able to reproduce it 
against a later version  of Fedora, you are encouraged  change the 
'version' to a later Fedora version prior to Fedora 17's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 3 Fedora End Of Life 2013-07-31 19:39:08 EDT
Fedora 17 changed to end-of-life (EOL) status on 2013-07-30. Fedora 17 is 
no longer maintained, which means that it will not receive any further 
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of 
Fedora please feel free to reopen this bug against that version.

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.